location ~* \.(null|rar|zip|gif)$ {
	add_header 'Access-Control-Allow-Origin' '*';
	add_header 'Access-Control-Allow-Credentials' 'true';
	add_header 'Access-Control-Allow-Methods' 'GET, POST, OPTIONS';
	add_header 'Access-Control-Allow-Headers' 'X-Accept-Charset,X-Accept,Content-Type';

	if ($request_method = OPTIONS ) {
		add_header Content-Length 0;
		add_header Content-Type text/plain;
		add_header 'Access-Control-Allow-Origin' '*';
		add_header 'Access-Control-Allow-Credentials' 'true';
		add_header 'Access-Control-Allow-Methods' 'GET, POST, OPTIONS';
		add_header 'Access-Control-Allow-Headers' 'X-Accept-Charset,X-Accept,Content-Type';
		return 200;
	}

	if ($request_method = POST ) {
		add_header Content-Length 0;
		add_header Content-Type text/plain;
		add_header 'Access-Control-Allow-Origin' '*';
		add_header 'Access-Control-Allow-Credentials' 'true';
		add_header 'Access-Control-Allow-Methods' 'GET, POST, OPTIONS';
		add_header 'Access-Control-Allow-Headers' 'X-Accept-Charset,X-Accept,Content-Type';
		return 200;
	}
}